Package org.apache.catalina.mapper

## Class Mapper.ContextList

- java.lang.Object
- - org.apache.catalina.mapper.Mapper.ContextList

Enclosing class:
  Mapper

    protected static final class Mapper.ContextList
    extends Object

### Field Summary

Fields
`Mapper.MappedContext[]` `contexts`
`int` `nesting`

### Constructor Summary

Constructors
`ContextList()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Mapper.ContextList` `addContext​(Mapper.MappedContext mappedContext, int slashCount)`
`Mapper.ContextList` `removeContext​(String path)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### contexts

    public final Mapper.MappedContext[] contexts

#### nesting

    public final int nesting

### Constructor Detail

#### ContextList

    public ContextList()

### Method Detail

#### addContext

    public Mapper.ContextList addContext​(Mapper.MappedContext mappedContext,
                                         int slashCount)

#### removeContext

    public Mapper.ContextList removeContext​(String path)